System.register(["src/client/preferences.js"], function (_export, _context) {
  "use strict";

  var Preferences, __SystemJSRewritingHack;
  function indentationWidth() {
    return Preferences.get('WiderIndentation') ? 4 : 2;
  }
  _export("default", indentationWidth);
  return {
    setters: [function (_srcClientPreferencesJs) {
      Preferences = _srcClientPreferencesJs.default;
    }],
    execute: function () {
      __SystemJSRewritingHack = {};
      _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_components_widgets_indent_js = _recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_components_widgets_indent_js || {};
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_components_widgets_indent_js, "indentationWidth", {
        get() {
          return indentationWidth;
        },
        set(thisIsVererySecretVariableName) {
          _export("default", indentationWidth = thisIsVererySecretVariableName);
          return true;
        },
        enumerable: true,
        configurable: true
      });
      Object.defineProperty(_recorder_._https__lively_kernel_org_lively4_lively4_ansgar_src_components_widgets_indent_js, "Preferences", {
        get() {
          return Preferences;
        },
        set(thisIsVererySecretVariableName) {
          Preferences = thisIsVererySecretVariableName;
          return true;
        },
        enumerable: true,
        configurable: true
      });
    }
  };
});